# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXImportHDF

Function

Imports data from an HDF file.

Syntax
`
#include <dx/dx.h>
`

Field DXImportHDF(char *filename, char *variable)

Functional Details

Imports data from an HDF (Hierarchical Data Format) file. `variable`, though represented as a string, is a number corresponding to the (zero-based) position of the dataset in the file `filename`. If `variable` is NULL, all fields are read in and placed in a group.

For additional information on the HDF file format, see Appendix B. "Importing Data: File Formats" in IBM Visualization Data Explorer User's Guide.

Return Value

Returns a pointer to the Object or returns NULL and sets an error code.

See Also

`DXImportNetCDF, DXImportDX, DXImportCM, DXImportCDF`

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]